BoostQueryNode (Lucene 10.5.0 queryparser API)
Description: declaration: package: org.apache.lucene.queryparser.flexible.core.nodes, class: BoostQueryNode

Package org.apache.lucene.queryparser.flexible.core.nodes

# Class BoostQueryNode

java.lang.Object
org.apache.lucene.queryparser.flexible.core.nodes.QueryNodeImpl
org.apache.lucene.queryparser.flexible.core.nodes.BoostQueryNode

All Implemented Interfaces:
  `Cloneable`, `QueryNode`

public class BoostQueryNode extends QueryNodeImpl
A `BoostQueryNode` boosts the QueryNode tree which is under this node. So, it must only and always have one child.

The boost value may vary from 0.0 to 1.0.

- ## Field Summary

  ### Fields inherited from class org.apache.lucene.queryparser.flexible.core.nodes.QueryNodeImpl

  `PLAINTEXT_FIELD_NAME, toQueryStringIgnoreFields`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BoostQueryNode(QueryNode query, float value)`
  Constructs a boost node

- ## Method Summary

  Modifier and Type
  Method
  Description
  `QueryNode`
  `cloneTree()`
  Recursive clone the QueryNode tree.
  `QueryNode`
  `getChild()`
  `float`
  `getValue()`
  Returns the boost value.
  `CharSequence`
  `toQueryString(EscapeQuerySyntax escapeSyntaxParser)`
  convert to a query string understood by the query parser
  `String`
  `toString()`
  Every implementation of this class should return pseudo xml like this:

  ### Methods inherited from class org.apache.lucene.queryparser.flexible.core.nodes.QueryNodeImpl

  `add, add, allocate, clone, containsTag, getChildren, getParent, getTag, getTagMap, isDefaultField, isLeaf, isRoot, removeChildren, removeFromParent, set, setLeaf, setTag, unsetTag`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### BoostQueryNode

    public BoostQueryNode(QueryNode query, float value)
    Constructs a boost node
    Parameters:
      `query` - the query to be boosted
      `value` - the boost value, it may vary from 0.0 to 1.0

- ## Method Details

  - ### getChild

    public QueryNode getChild()
    Returns:
      the single child which this node boosts

  - ### getValue

    public float getValue()
    Returns the boost value. It may vary from 0.0 to 1.0.
    Returns:
      the boost value

  - ### toString

    public String toString()
    Description copied from class: `QueryNodeImpl`
    Every implementation of this class should return pseudo xml like this:

    For FieldQueryNode: <field start='1' end='2' field='subject' text='foo'/>

    Specified by:
      `toString` in interface `QueryNode`
    Overrides:
      `toString` in class `QueryNodeImpl`
    See Also:
      - `QueryNode.toString()`

  - ### toQueryString

    public CharSequence toQueryString(EscapeQuerySyntax escapeSyntaxParser)
    Description copied from interface: `QueryNode`
    convert to a query string understood by the query parser

  - ### cloneTree

    public QueryNode cloneTree() throws CloneNotSupportedException
    Description copied from interface: `QueryNode`
    Recursive clone the QueryNode tree. The tags are not copied to the new tree when you call the cloneTree() method.
    Specified by:
      `cloneTree` in interface `QueryNode`
    Overrides:
      `cloneTree` in class `QueryNodeImpl`
    Returns:
      the cloned tree
    Throws:
      `CloneNotSupportedException`